'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Progress = require('./Progress.css');

var _Progress2 = _interopRequireDefault(_Progress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ProgressComponent = function ProgressComponent(_ref) {
	var _ref$type = _ref.type,
	    type = _ref$type === undefined ? 'info' : _ref$type,
	    _ref$value = _ref.value,
	    value = _ref$value === undefined ? 0 : _ref$value,
	    _ref$message = _ref.message,
	    message = _ref$message === undefined ? "" : _ref$message;

	if (type == "error") {
		value = 10;
	} else if (type == "success") {
		value = 100;
	}

	return _react2.default.createElement(
		'div',
		{ className: '\n\t\t\t' + _Progress2.default.progress + '\n\t\t\t' + _Progress2.default['color_' + type] + '\n\t\t' },
		_react2.default.createElement('div', { className: _Progress2.default.bar_bg }),
		_react2.default.createElement('div', { className: _Progress2.default.bar, style: { width: value + '%' } }),
		message != "" && _react2.default.createElement(
			'div',
			{ className: _Progress2.default.message },
			message
		)
	);
};

exports.default = ProgressComponent;