'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../index');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PageModal = function (_Component) {
	_inherits(PageModal, _Component);

	function PageModal(props) {
		_classCallCheck(this, PageModal);

		var _this = _possibleConstructorReturn(this, (PageModal.__proto__ || Object.getPrototypeOf(PageModal)).call(this, props));

		_this.state = {
			active: false
		};

		return _this;
	}

	_createClass(PageModal, [{
		key: 'toggleModal',
		value: function toggleModal() {
			this.setState({
				active: !this.state.active
			});
		}
	}, {
		key: 'render',
		value: function render() {
			var _this2 = this;

			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					'h1',
					{ className: _Docs2.default.docHeading1 },
					'Modal'
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Default'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(
								_index.Button,
								{ onClick: function onClick() {
										return _this2.toggleModal();
									} },
								'Modal'
							)
						),
						this.state.active && _react2.default.createElement(
							_index.Modal,
							{ bgClick: function bgClick() {
									return _this2.toggleModal();
								} },
							_react2.default.createElement(
								_index.ModalHeader,
								null,
								'This is the modal header, it\'s optional'
							),
							_react2.default.createElement(
								_index.ModalBody,
								null,
								'This is the modal body. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam vestibulum velit vel erat egestas elementum.'
							),
							_react2.default.createElement(
								_index.ModalActions,
								null,
								_react2.default.createElement(
									'div',
									null,
									_react2.default.createElement(
										_index.Button,
										{ fill: 'false', border: 'false', onClick: function onClick() {
												return _this2.toggleModal();
											} },
										'Cancel'
									)
								),
								_react2.default.createElement(
									'div',
									null,
									_react2.default.createElement(
										_index.Button,
										{ onClick: function onClick() {
												return _this2.toggleModal();
											} },
										'Ok'
									)
								)
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<div><Button onClick={() => this.toggleModal()}>Modal</Button></div>'
						),
						_react2.default.createElement(
							'div',
							null,
							'{ '
						),
						_react2.default.createElement(
							'div',
							null,
							'\tthis.state.active && '
						),
						_react2.default.createElement(
							'div',
							null,
							'\t<Modal bgClick={() => this.toggleModal()}> '
						),
						_react2.default.createElement(
							'div',
							null,
							'\t\t\t<ModalHeader>This is the modal header, it\'s optional</ModalHeader> '
						),
						_react2.default.createElement(
							'div',
							null,
							'\t\t\t<ModalBody>This is the modal body. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam vestibulum velit vel erat egestas elementum.</ModalBody> '
						),
						_react2.default.createElement(
							'div',
							null,
							'\t\t\t<ModalActions> '
						),
						_react2.default.createElement(
							'div',
							null,
							'\t\t\t\t<div><Button fill="false" border="false" onClick={() => this.toggleModal()}>Cancel</Button></div> '
						),
						_react2.default.createElement(
							'div',
							null,
							'\t\t\t\t<div><Button onClick={() => this.toggleModal()}>Ok</Button></div> '
						),
						_react2.default.createElement(
							'div',
							null,
							'\t\t\t</ModalActions> '
						),
						_react2.default.createElement(
							'div',
							null,
							'\t\t</Modal> '
						),
						_react2.default.createElement(
							'div',
							null,
							'\t} '
						)
					)
				)
			);
		}
	}]);

	return PageModal;
}(_react.Component);

exports.default = PageModal;