'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../index');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PageTable = function (_Component) {
	_inherits(PageTable, _Component);

	function PageTable(props) {
		_classCallCheck(this, PageTable);

		var _this = _possibleConstructorReturn(this, (PageTable.__proto__ || Object.getPrototypeOf(PageTable)).call(this, props));

		_this.state = {
			active: false
		};
		return _this;
	}

	_createClass(PageTable, [{
		key: 'toggleModal',
		value: function toggleModal() {
			this.setState({
				active: !this.state.active
			});
		}
	}, {
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					'h1',
					{ className: _Docs2.default.docHeading1 },
					'Table'
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Regular'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.colsGutterXsm + ' ' },
							_react2.default.createElement(
								_index.Table,
								null,
								_react2.default.createElement(
									_index.TableHeadingRow,
									null,
									_react2.default.createElement(
										_index.TableHeadingData,
										{ width: '33per' },
										'heading 1'
									),
									_react2.default.createElement(
										_index.TableHeadingData,
										{ width: '33per' },
										'heading 2'
									),
									_react2.default.createElement(
										_index.TableHeadingData,
										{ width: '33per' },
										'heading 3'
									)
								),
								_react2.default.createElement(
									_index.TableRow,
									null,
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 1 col 1'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 1 col 2'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 1 col 3'
									)
								),
								_react2.default.createElement(
									_index.TableRow,
									null,
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'1'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'2'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'3'
									)
								),
								_react2.default.createElement(
									_index.TableRow,
									null,
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'Qui proident dolor qui id magna sint excepteur anim nulla eu qui ea. Labore occaecat aute ipsum id incididunt labore est. Eu occaecat nostrud anim officia commodo cupidatat minim eiusmod veniam.'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 3 col 2'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 3 col 3'
									)
								),
								_react2.default.createElement(
									_index.TableRow,
									null,
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'Qui proident dolor qui id magna sint excepteur anim nulla eu qui ea. Labore occaecat aute ipsum id incididunt labore est. Eu occaecat nostrud anim officia commodo cupidatat minim eiusmod veniam.'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'Qui proident dolor qui id magna sint excepteur anim nulla eu qui ea. Labore occaecat aute ipsum id incididunt labore est. Eu occaecat nostrud anim officia commodo cupidatat minim eiusmod veniam.Qui proident dolor qui id magna sint excepteur anim nulla eu qui ea. Labore occaecat aute ipsum id incididunt labore est. Eu occaecat nostrud anim officia commodo cupidatat minim eiusmod veniam.'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'Qui proident dolor qui id magna sint excepteur anim nulla eu qui ea. Labore occaecat aute ipsum id incididunt labore est. Eu occaecat nostrud anim officia commodo cupidatat minim eiusmod veniam.Qui proident dolor qui id magna sint excepteur anim nulla eu qui ea. Labore occaecat aute ipsum id incididunt labore est. Eu occaecat nostrud anim officia commodo cupidatat minim eiusmod veniam.Qui proident dolor qui id magna sint excepteur anim nulla eu qui ea. Labore occaecat aute ipsum id incididunt labore est. Eu occaecat nostrud anim officia commodo cupidatat minim eiusmod veniam.'
									)
								)
							)
						)
					),
					_react2.default.createElement('div', { className: _Docs2.default.docboxCode })
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Links'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.colsGutterXsm + ' ' },
							_react2.default.createElement(
								_index.Table,
								null,
								_react2.default.createElement(
									_index.TableHeadingRow,
									null,
									_react2.default.createElement(
										_index.TableHeadingData,
										{ width: '33per' },
										'heading 1'
									),
									_react2.default.createElement(
										_index.TableHeadingData,
										{ width: '33per' },
										'heading 2'
									),
									_react2.default.createElement(
										_index.TableHeadingData,
										{ width: '33per' },
										'heading 3'
									)
								),
								_react2.default.createElement(
									_index.TableRow,
									{ to: '/' },
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 1 col 1'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 1 col 2'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 1 col 3'
									)
								),
								_react2.default.createElement(
									_index.TableRow,
									{ to: '/' },
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'1'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'2'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'3'
									)
								),
								_react2.default.createElement(
									_index.TableRow,
									{ to: '/' },
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 1 col 1'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 1 col 2'
									),
									_react2.default.createElement(
										_index.TableData,
										{ width: '33per' },
										'table data row 1 col 3'
									)
								)
							)
						)
					),
					_react2.default.createElement('div', { className: _Docs2.default.docboxCode })
				),
				_react2.default.createElement(
					'h2',
					{ className: _Docs2.default.docHeading2 },
					'Empty'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.colsGutterXsm + ' ' },
							_react2.default.createElement(
								_index.Table,
								null,
								_react2.default.createElement(
									_index.TableHeadingRow,
									null,
									_react2.default.createElement(
										_index.TableHeadingData,
										{ width: '33per' },
										'heading 1'
									),
									_react2.default.createElement(
										_index.TableHeadingData,
										{ width: '33per' },
										'heading 2'
									),
									_react2.default.createElement(
										_index.TableHeadingData,
										{ width: '33per' },
										'heading 3'
									)
								),
								_react2.default.createElement(
									_index.TableRow,
									null,
									_react2.default.createElement(
										_index.TableDataEmpty,
										null,
										'There are no rows'
									)
								)
							)
						)
					),
					_react2.default.createElement('div', { className: _Docs2.default.docboxCode })
				)
			);
		}
	}]);

	return PageTable;
}(_react.Component);

exports.default = PageTable;