'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

var _ButtonAjax = require('./ButtonAjax.css');

var _ButtonAjax2 = _interopRequireDefault(_ButtonAjax);

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ButtonAjax = function (_Component) {
	_inherits(ButtonAjax, _Component);

	function ButtonAjax(props) {
		_classCallCheck(this, ButtonAjax);

		var _this = _possibleConstructorReturn(this, (ButtonAjax.__proto__ || Object.getPrototypeOf(ButtonAjax)).call(this, props));

		_this.ajaxBtn = _react2.default.createRef();

		_this.state = {
			width: null
		};
		return _this;
	}

	_createClass(ButtonAjax, [{
		key: 'componentDidMount',
		value: function componentDidMount() {
			this.setState({ width: this.ajaxBtn.current.offsetWidth });
		}
	}, {
		key: 'render',
		value: function render() {
			if (this.props.state == "processing") {
				return _react2.default.createElement(
					'div',
					{ style: { width: this.state.width + 'px' } },
					_react2.default.createElement(
						'div',
						{ className: _ButtonAjax2.default.spinner },
						_react2.default.createElement('div', { className: _ButtonAjax2.default.rect1 }),
						_react2.default.createElement('div', { className: _ButtonAjax2.default.rect2 }),
						_react2.default.createElement('div', { className: _ButtonAjax2.default.rect3 }),
						_react2.default.createElement('div', { className: _ButtonAjax2.default.rect4 })
					)
				);
			} else if (this.props.state == "success") {
				return _react2.default.createElement(
					'div',
					{ className: _global2.default.positionRelative, style: { width: this.state.width + 'px' } },
					_react2.default.createElement('div', { className: _ButtonAjax2.default.checkmark })
				);
			} else if (this.props.state == "error") {
				return _react2.default.createElement(
					'div',
					{ className: _global2.default.positionRelative, style: { width: this.state.width + 'px' } },
					_react2.default.createElement('div', { className: _ButtonAjax2.default.times })
				);
			} else {
				return _react2.default.createElement(
					'div',
					{ ref: this.ajaxBtn },
					this.props.children
				);
			}
		}
	}]);

	return ButtonAjax;
}(_react.Component);

exports.default = ButtonAjax;