'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.ModalActions = exports.ModalBody = exports.ModalHeader = exports.Modal = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Modal = require('./Modal.css');

var _Modal2 = _interopRequireDefault(_Modal);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Modal = function Modal(_ref) {
	var _ref$type = _ref.type,
	    type = _ref$type === undefined ? 'default' : _ref$type,
	    _ref$bgClick = _ref.bgClick,
	    bgClick = _ref$bgClick === undefined ? function () {} : _ref$bgClick,
	    children = _ref.children;

	return _react2.default.createElement(
		'div',
		{ className: _Modal2.default.modal },
		_react2.default.createElement('div', { className: _Modal2.default.modalbg, onClick: bgClick }),
		_react2.default.createElement(
			'div',
			{ className: ' ' + _Modal2.default.container + ' ' + _Modal2.default['type_' + type] + ' ' },
			children
		)
	);
};

var ModalHeader = function ModalHeader(props) {
	return _react2.default.createElement(
		'div',
		{ className: _Modal2.default.header },
		props.children
	);
};

var ModalBody = function ModalBody(props) {
	return _react2.default.createElement(
		'div',
		{ className: _Modal2.default.body },
		props.children
	);
};

var ModalActions = function ModalActions(props) {
	return _react2.default.createElement(
		'div',
		{ className: _Modal2.default.actions },
		props.children
	);
};

exports.Modal = Modal;
exports.ModalHeader = ModalHeader;
exports.ModalBody = ModalBody;
exports.ModalActions = ModalActions;