'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Nag = require('./Nag.css');

var _Nag2 = _interopRequireDefault(_Nag);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Nag = function (_Component) {
	_inherits(Nag, _Component);

	function Nag(props) {
		_classCallCheck(this, Nag);

		var _this = _possibleConstructorReturn(this, (Nag.__proto__ || Object.getPrototypeOf(Nag)).call(this, props));

		_this.state = {
			isActive: true
		};
		return _this;
	}

	_createClass(Nag, [{
		key: 'handleclick',
		value: function handleclick() {
			this.setState({
				isActive: false
			});
		}
	}, {
		key: 'render',
		value: function render() {
			var _this2 = this;

			var classes = [_Nag2.default.Nag, _Nag2.default['isActive_' + this.props.isActive], _Nag2.default['color_' + this.props.color]].join(' ');

			return _react2.default.createElement(
				'div',
				{ className: classes },
				this.props.isDismissable && _react2.default.createElement(
					'a',
					{ onClick: function onClick() {
							return _this2.handleclick();
						}, className: _Nag2.default.closeBtn },
					'X'
				),
				_react2.default.createElement(
					'div',
					null,
					this.props.children
				)
			);
		}
	}]);

	return Nag;
}(_react.Component);

Nag.defaultProps = {
	color: 'primary',
	isDismissable: true
};
exports.default = Nag;