'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Spinner = require('./Spinner.css');

var _Spinner2 = _interopRequireDefault(_Spinner);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Spinner = function Spinner(_ref) {
	var _ref$size = _ref.size,
	    size = _ref$size === undefined ? 'md' : _ref$size,
	    _ref$color = _ref.color,
	    color = _ref$color === undefined ? 'primary' : _ref$color;


	var classes = '\n\t\t' + _Spinner2.default.spinner + '\n\t\t' + _Spinner2.default['color_' + color] + '\n\t\t' + _Spinner2.default['size_' + size] + '\n\t';

	return _react2.default.createElement(
		'div',
		{ className: classes },
		_react2.default.createElement(
			'svg',
			{ className: _Spinner2.default.svg, viewBox: '25 25 50 50' },
			_react2.default.createElement('circle', { className: _Spinner2.default.path, cx: '50', cy: '50', r: '20', fill: 'none' })
		)
	);
};

exports.default = Spinner;