'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

var _Dashboard = require('./pages/Dashboard');

var _Dashboard2 = _interopRequireDefault(_Dashboard);

var _Color = require('./pages/Color');

var _Color2 = _interopRequireDefault(_Color);

var _Text = require('./pages/Text');

var _Text2 = _interopRequireDefault(_Text);

var _Layout = require('./pages/Layout');

var _Layout2 = _interopRequireDefault(_Layout);

var _Alert = require('./pages/Alert');

var _Alert2 = _interopRequireDefault(_Alert);

var _Button = require('./pages/Button');

var _Button2 = _interopRequireDefault(_Button);

var _ButtonAjax = require('./pages/ButtonAjax');

var _ButtonAjax2 = _interopRequireDefault(_ButtonAjax);

var _Spinner = require('./pages/Spinner');

var _Spinner2 = _interopRequireDefault(_Spinner);

var _Modal = require('./pages/Modal');

var _Modal2 = _interopRequireDefault(_Modal);

var _Icon = require('./pages/Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _Progress = require('./pages/Progress');

var _Progress2 = _interopRequireDefault(_Progress);

var _Form = require('./pages/Form');

var _Form2 = _interopRequireDefault(_Form);

var _Table = require('./pages/Table');

var _Table2 = _interopRequireDefault(_Table);

var _index = require('../index');

var _global = require('../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('./Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Docs = function (_Component) {
	_inherits(Docs, _Component);

	function Docs() {
		_classCallCheck(this, Docs);

		return _possibleConstructorReturn(this, (Docs.__proto__ || Object.getPrototypeOf(Docs)).apply(this, arguments));
	}

	_createClass(Docs, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				_index.Container,
				{ height: 'min100vh' },
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.header },
					_react2.default.createElement('div', { className: _Docs2.default.logo })
				),
				_react2.default.createElement(
					_index.Container,
					{ grow: '1' },
					_react2.default.createElement(
						_index.Row,
						{ grow: '1', direction: { d: "row", sm: "column" } },
						_react2.default.createElement(
							_index.Col,
							{ width: '300px' },
							_react2.default.createElement(
								'div',
								{ className: _Docs2.default.sidebar_container },
								_react2.default.createElement(
									'ul',
									{ className: _global2.default.marginBottomLg },
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/dashboard', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Dashboard'
										)
									)
								),
								_react2.default.createElement(
									'div',
									{ className: ' ' + _global2.default.fontsizeHeading6 + ' ' + _global2.default.marginBottomSm + ' ' },
									'Basic'
								),
								_react2.default.createElement(
									'ul',
									{ className: _global2.default.marginBottomLg },
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/color', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Color'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/text', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Text'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/layout', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Layout'
										)
									)
								),
								_react2.default.createElement(
									'div',
									{ className: ' ' + _global2.default.fontsizeHeading6 + ' ' + _global2.default.marginBottomSm + ' ' },
									'Components'
								),
								_react2.default.createElement(
									'ul',
									{ className: _global2.default.marginBottomLg },
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/alert', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Alert'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/button', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Button'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/buttonajax', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Button Ajax'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/spinner', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Spinner'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/modal', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Modal'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/icon', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Icon'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/progress', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Progress'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/form', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Form'
										)
									),
									_react2.default.createElement(
										'li',
										null,
										_react2.default.createElement(
											_reactRouterDom.NavLink,
											{ to: '/proto/table', className: _Docs2.default.link, activeClassName: _Docs2.default.linkActive },
											'Table'
										)
									)
								)
							)
						),
						_react2.default.createElement(
							_index.Col,
							{ width: 'grow' },
							_react2.default.createElement(
								_index.Container,
								{ fixedWidth: 'true' },
								_react2.default.createElement(
									_index.Row,
									{ paddingTop: 'lg' },
									_react2.default.createElement(
										_index.Col,
										{ width: 'grow' },
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/dashboard', component: _Dashboard2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/color', component: _Color2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/text', component: _Text2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/layout', component: _Layout2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/button', component: _Button2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/buttonajax', component: _ButtonAjax2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/alert', component: _Alert2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/spinner', component: _Spinner2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/modal', component: _Modal2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/icon', component: _Icon2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/progress', component: _Progress2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/form', component: _Form2.default }),
										_react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/proto/table', component: _Table2.default })
									)
								)
							)
						)
					)
				)
			);
		}
	}]);

	return Docs;
}(_react.Component);

exports.default = Docs;