'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../index');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageAlert = function PageAlert() {
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(
			'h1',
			{ className: _Docs2.default.docHeading1 },
			'Alert'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Info'
				),
				_react2.default.createElement(
					_index.Alert,
					null,
					'This is an alert!'
				),
				_react2.default.createElement(
					'h3',
					{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginTopMd + ' ' },
					'Success'
				),
				_react2.default.createElement(
					_index.Alert,
					{ color: 'success' },
					'This is an alert!'
				),
				_react2.default.createElement(
					'h3',
					{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginTopMd + ' ' },
					'Warning'
				),
				_react2.default.createElement(
					_index.Alert,
					{ color: 'warning' },
					'This is an alert!'
				),
				_react2.default.createElement(
					'h3',
					{ className: ' ' + _Docs2.default.docHeading3 + ' ' + _global2.default.marginTopMd + ' ' },
					'Error'
				),
				_react2.default.createElement(
					_index.Alert,
					{ color: 'error' },
					'This is an alert!'
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Alert>This is an alert!</Alert>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Alert color="success">This is an alert!</Alert>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Alert color="warning">This is an alert!</Alert>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Alert color="error">This is an alert!</Alert>'
				)
			)
		)
	);
};

exports.default = PageAlert;