'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactFontawesome = require('@fortawesome/react-fontawesome');

var _index = require('../../index');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageButton = function PageButton() {
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(
			'h1',
			{ className: _Docs2.default.docHeading1 },
			'Button'
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Colors'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					_index.Row,
					{ align: 'center', gutter: 'xsm' },
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							null,
							'Primary'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ color: 'secondary' },
							'Secondary'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ color: 'tertiary' },
							'Tertiary'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ color: 'grey' },
							'Grey'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ color: 'white' },
							'White'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ color: 'info' },
							'Info'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ color: 'success' },
							'Success'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ color: 'warning' },
							'Warning'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ color: 'error' },
							'Error'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Button>Primary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button color="secondary">Secondary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button color="tertiary">Tertiary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button color="grey">Grey</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button color="white">White</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button color="info">Info</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button color="success">Success</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button color="warning">Warning</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button color="error">Error</Button>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'No Fill'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					_index.Row,
					{ align: 'center', gutter: 'xsm' },
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false' },
							'Primary'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', color: 'secondary' },
							'Secondary'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', color: 'tertiary' },
							'Tertiary'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', color: 'grey' },
							'Grey'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', color: 'white' },
							'White'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', color: 'info' },
							'Info'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', color: 'success' },
							'Success'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', color: 'warning' },
							'Warning'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', color: 'error' },
							'Error'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false">Primary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" color="secondary">Secondary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" color="tertiary">Tertiary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" color="grey">Grey</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" color="white">White</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" color="info">Info</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" color="success">Success</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" color="warning">Warning</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" color="error">Error</Button>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'No Border'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					_index.Row,
					{ align: 'center', gutter: 'xsm' },
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', border: 'false' },
							'Primary'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', border: 'false', color: 'secondary' },
							'Secondary'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', border: 'false', color: 'tertiary' },
							'Tertiary'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', border: 'false', color: 'grey' },
							'Grey'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', border: 'false', color: 'white' },
							'White'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', border: 'false', color: 'info' },
							'Info'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', border: 'false', color: 'success' },
							'Success'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', border: 'false', color: 'warning' },
							'Warning'
						)
					),
					_react2.default.createElement(
						_index.Col,
						null,
						_react2.default.createElement(
							_index.Button,
							{ fill: 'false', border: 'false', color: 'error' },
							'Error'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" border="false">Primary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" border="false" color="secondary">Secondary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" border="false" color="tertiary">Tertiary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" border="false" color="grey">Grey</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" border="false" color="white">White</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" border="false" color="info">Info</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" border="false" color="success">Success</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" border="false" color="warning">Warning</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button fill="false" border="false" color="error">Error</Button>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Icons'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.gutterXsm + ' ' },
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ circle: 'true' },
							_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'] })
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ circle: 'true', color: 'secondary' },
							_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'] })
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ circle: 'true', fill: 'false', color: 'grey' },
							_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'] })
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ circle: 'true', color: 'grey', size: 'sm' },
							_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'], transform: 'shrink-3' })
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ circle: 'true', color: 'grey' },
							_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'] })
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ circle: 'true', color: 'grey', size: 'lg' },
							_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'], transform: 'grow-3' })
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ circle: 'true', color: 'info', size: 'sm' },
							_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'], transform: 'shrink-3' })
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ circle: 'true', color: 'info' },
							_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'] })
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ circle: 'true', color: 'info', size: 'lg' },
							_react2.default.createElement(_reactFontawesome.FontAwesomeIcon, { icon: ['fas', 'external-link-alt'], transform: 'grow-3' })
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Button circle="true"><FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} /></Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button circle="true" color="secondary"><FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} /></Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button circle="true" fill="false" color="grey"><FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} /></Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button circle="true" color="grey" size="sm"><FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} transform=\'shrink-3\' /></Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button circle="true" color="grey"><FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} /></Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button circle="true" color="grey"size="lg"><FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} transform=\'grow-3\' /></Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button circle="true" color="info" size="sm"><FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} transform=\'shrink-3\' /></Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button circle="true" color="info"><FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} /></Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button circle="true" color="info"size="lg"><FontAwesomeIcon icon={[\'fas\', \'external-link-alt\']} transform=\'grow-3\' /></Button>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Rounded'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.gutterXsm + ' ' },
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ rounded: 'true' },
							'Primary'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ rounded: 'true', color: 'secondary' },
							'Secondary'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ rounded: 'true', color: 'tertiary' },
							'Tertiary'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ rounded: 'true', color: 'grey' },
							'Grey'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ rounded: 'true', color: 'info' },
							'Info'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ rounded: 'true', color: 'success' },
							'Success'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ rounded: 'true', color: 'warning' },
							'Warning'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ rounded: 'true', color: 'error' },
							'Error'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Button rounded="true" >Primary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button rounded="true" color="secondary">Secondary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button rounded="true" color="tertiary">Tertiary</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button rounded="true" color="grey">Grey</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button rounded="true" color="info">Info</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button rounded="true" color="success">Success</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button rounded="true" color="warning">Warning</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button rounded="true" color="error">Error</Button>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Sizes'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.gutterXsm + ' ' },
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ size: 'xsm' },
							'Extra Small'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ size: 'sm' },
							'Small'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ size: 'md' },
							'Medium'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ size: 'lg' },
							'Large'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Button size="xsm">Extra Small</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button size="sm">Small</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button size="md">Medium</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button size="lg">Large</Button>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Full Width'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					null,
					_react2.default.createElement(
						_index.Button,
						{ fullwidth: 'true' },
						'Button'
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Button fullwidth="true">Button</Button>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Disabled'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.gutterXsm + ' ' },
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ disabled: 'true' },
							'Button'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ disabled: 'true', fill: 'false' },
							'Button'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Button disabled="true">Button</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button disabled="true" fill="false">Button</Button>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Types'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Horizontal'
				),
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.gutterXsm + ' ' },
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							null,
							'Button'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ type: 'link', to: '' },
							'Link'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ type: 'href' },
							'Href'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ type: 'submit' },
							'Submit'
						)
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(
							_index.Button,
							{ type: 'reset' },
							'Reset'
						)
					)
				),
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 + ' ' + _global2.default.marginTopXsm },
					'Vertical'
				),
				_react2.default.createElement(
					'div',
					null,
					_react2.default.createElement(
						_index.Button,
						null,
						'Button'
					)
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.marginTopXsm },
					_react2.default.createElement(
						_index.Button,
						{ type: 'link', to: '' },
						'Link'
					)
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.marginTopXsm },
					_react2.default.createElement(
						_index.Button,
						{ type: 'href' },
						'Href'
					)
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.marginTopXsm },
					_react2.default.createElement(
						_index.Button,
						{ type: 'submit' },
						'Submit'
					)
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.marginTopXsm },
					_react2.default.createElement(
						_index.Button,
						{ type: 'reset' },
						'Reset'
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Button onClick={}>Button</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button type="link" to="">Link</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button type="href" to="" target="_blank">Href</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button type="submit">Submit</Button>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Button type="reset">Reset</Button>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Button Bar'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					_index.ButtonGroup,
					null,
					_react2.default.createElement(
						_index.Button,
						null,
						'Button'
					),
					_react2.default.createElement(
						_index.Button,
						null,
						'Button'
					),
					_react2.default.createElement(
						_index.Button,
						null,
						'Button'
					),
					_react2.default.createElement(
						_index.Button,
						{ type: 'link', to: '' },
						'Link'
					),
					_react2.default.createElement(
						_index.Button,
						{ type: 'href' },
						'Href'
					),
					_react2.default.createElement(
						_index.Button,
						{ type: 'submit' },
						'Submit'
					),
					_react2.default.createElement(
						_index.Button,
						{ type: 'reset' },
						'Reset'
					)
				)
			),
			_react2.default.createElement('div', { className: _Docs2.default.docboxCode })
		)
	);
};

exports.default = PageButton;