'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactFontawesome = require('@fortawesome/react-fontawesome');

var _index = require('../../index');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PageButtonAjax = function (_Component) {
	_inherits(PageButtonAjax, _Component);

	function PageButtonAjax(props) {
		_classCallCheck(this, PageButtonAjax);

		var _this = _possibleConstructorReturn(this, (PageButtonAjax.__proto__ || Object.getPrototypeOf(PageButtonAjax)).call(this, props));

		_this.state = {
			btnState: "default"
		};
		return _this;
	}

	_createClass(PageButtonAjax, [{
		key: 'doAjax',
		value: function doAjax() {
			var _this2 = this;

			console.info("processing");
			this.setState({ btnState: "processing" });
			setTimeout(function () {
				console.log('complete');
				_this2.setState({ btnState: "success" });
			}, 1000);
		}
	}, {
		key: 'render',
		value: function render() {
			var _this3 = this;

			return _react2.default.createElement(
				'div',
				null,
				_react2.default.createElement(
					'h1',
					{ className: _Docs2.default.docHeading1 },
					'Button Ajax'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							_index.Button,
							{ onClick: function onClick() {
									_this3.doAjax();
								} },
							_react2.default.createElement(
								_index.ButtonAjax,
								{ state: this.state.btnState },
								'Button Texta a asdf asdf'
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'<Button>'
						),
						_react2.default.createElement(
							'div',
							null,
							'<ButtonAjax state="default|processing|success|fail">Button</ButtonAjax>'
						),
						_react2.default.createElement(
							'div',
							null,
							'</Button>'
						)
					)
				)
			);
		}
	}]);

	return PageButtonAjax;
}(_react.Component);

exports.default = PageButtonAjax;