'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageColor = function PageColor() {
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(
			'h1',
			{ className: _Docs2.default.docHeading1 },
			'Color'
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Primary'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: _global2.default.displayFlex + ' ' + _global2.default.flexWrap },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorPrimary }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Primary'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorPrimaryLight }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Primary Light'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorPrimaryDark }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Primary Dark'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'primary'
				),
				_react2.default.createElement(
					'div',
					null,
					'primaryLight'
				),
				_react2.default.createElement(
					'div',
					null,
					'primaryDark'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Secondary'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: _global2.default.displayFlex + ' ' + _global2.default.flexWrap },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorSecondary }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Secondary'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorSecondaryLight }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Secondary Light'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorSecondaryDark }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Secondary Dark'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'secondary'
				),
				_react2.default.createElement(
					'div',
					null,
					'secondaryLight'
				),
				_react2.default.createElement(
					'div',
					null,
					'secondaryDark'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Tertiary'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: _global2.default.displayFlex + ' ' + _global2.default.flexWrap },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorTertiary }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Tertiary'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorTertiaryLight }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Tertiary Light'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorTertiaryDark }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Tertiary Dark'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'tertiary'
				),
				_react2.default.createElement(
					'div',
					null,
					'tertiaryLight'
				),
				_react2.default.createElement(
					'div',
					null,
					'tertiaryDark'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Greys'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: _global2.default.displayFlex + ' ' + _global2.default.flexWrap },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGrey100 }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Grey 100'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGrey200 }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Grey 200'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGrey300 }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Grey 300'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGrey400 }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Grey 400'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGrey500 }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Grey 500'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGrey600 }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Grey 600'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGrey700 }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Grey 700'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGrey800 }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Grey 800'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGrey900 }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Grey 900'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'grey100'
				),
				_react2.default.createElement(
					'div',
					null,
					'grey200'
				),
				_react2.default.createElement(
					'div',
					null,
					'grey300'
				),
				_react2.default.createElement(
					'div',
					null,
					'grey400'
				),
				_react2.default.createElement(
					'div',
					null,
					'grey500'
				),
				_react2.default.createElement(
					'div',
					null,
					'grey600'
				),
				_react2.default.createElement(
					'div',
					null,
					'grey700'
				),
				_react2.default.createElement(
					'div',
					null,
					'grey800'
				),
				_react2.default.createElement(
					'div',
					null,
					'grey900'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Black & White'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: _global2.default.displayFlex + ' ' + _global2.default.flexWrap },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorWhite }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'White'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorBlack }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Black'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'white'
				),
				_react2.default.createElement(
					'div',
					null,
					'black'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Others'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: _global2.default.displayFlex + ' ' + _global2.default.flexWrap },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorRed }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Red'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorGreen }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Green'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorBlue }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Blue'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorYellow }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Yellow'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorCyan }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Cyan'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorMagenta }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Magenta'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorOrange }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Orange'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorPink }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Pink'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorPurple }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Purple'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorAzure }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Azure'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorTeal }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Teal'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorLime }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Lime'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'red'
				),
				_react2.default.createElement(
					'div',
					null,
					'green'
				),
				_react2.default.createElement(
					'div',
					null,
					'blue'
				),
				_react2.default.createElement(
					'div',
					null,
					'yellow'
				),
				_react2.default.createElement(
					'div',
					null,
					'cyan'
				),
				_react2.default.createElement(
					'div',
					null,
					'magenta'
				),
				_react2.default.createElement(
					'div',
					null,
					'orange'
				),
				_react2.default.createElement(
					'div',
					null,
					'pink'
				),
				_react2.default.createElement(
					'div',
					null,
					'purple'
				),
				_react2.default.createElement(
					'div',
					null,
					'azure'
				),
				_react2.default.createElement(
					'div',
					null,
					'teal'
				),
				_react2.default.createElement(
					'div',
					null,
					'lime'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'UI'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: _global2.default.displayFlex + ' ' + _global2.default.flexWrap },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorInfo }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Info'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorSuccess }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Success'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorWarning }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Warning'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.swatch },
						_react2.default.createElement('div', { className: _Docs2.default.swatchColor + ' ' + _global2.default.backgroundColorError }),
						_react2.default.createElement(
							'div',
							{ className: _Docs2.default.swatchText },
							'Error'
						)
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'info'
				),
				_react2.default.createElement(
					'div',
					null,
					'success'
				),
				_react2.default.createElement(
					'div',
					null,
					'warning'
				),
				_react2.default.createElement(
					'div',
					null,
					'error'
				)
			)
		)
	);
};

exports.default = PageColor;