'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../index');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageProgress = function PageProgress() {
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(
			'h1',
			{ className: _Docs2.default.docHeading1 },
			'Progress'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Info'
				),
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.colsGutterXsm + ' ' + _global2.default.marginTopXsm + ' ' + _global2.default.marginBottomLg },
					_react2.default.createElement(
						'div',
						{ className: _global2.default.flexWidth50per },
						_react2.default.createElement(_index.Progress, { value: 45, type: 'info' })
					)
				),
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Warning'
				),
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.colsGutterXsm + ' ' + _global2.default.marginTopXsm + ' ' + _global2.default.marginBottomLg },
					_react2.default.createElement(
						'div',
						{ className: _global2.default.flexWidth50per },
						_react2.default.createElement(_index.Progress, { value: 60, type: 'warning' })
					)
				),
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Success'
				),
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.colsGutterXsm + ' ' + _global2.default.marginTopXsm + ' ' + _global2.default.marginBottomLg },
					_react2.default.createElement(
						'div',
						{ className: _global2.default.flexWidth50per },
						_react2.default.createElement(_index.Progress, { value: 15, type: 'success', message: 'File uploaded' })
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Progress value={45} type="info" />'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Progress value={60} type="warning" />'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Progress type="success" message="File uploaded" />'
				)
			)
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Error'
				),
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.colsGutterXsm + ' ' + _global2.default.marginTopXsm + ' ' + _global2.default.marginBottomLg },
					_react2.default.createElement(
						'div',
						{ className: _global2.default.flexWidth50per },
						_react2.default.createElement(_index.Progress, { type: 'error', message: 'There was an error' })
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Progress type="error" message="There was an error" />'
				)
			)
		)
	);
};

exports.default = PageProgress;