'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../../index');

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageSpinner = function PageSpinner() {
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(
			'h1',
			{ className: _Docs2.default.docHeading1 },
			'Spinner'
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Colors'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.colsGutterXsm + ' ' },
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(_index.Spinner, null)
					),
					_react2.default.createElement(
						'div',
						{ className: _global2.default.backgroundColorPrimary },
						_react2.default.createElement(_index.Spinner, { color: 'white' })
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<div><Spinner /></div>'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Spinner color="white" /></div>'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Sizes'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: ' ' + _global2.default.displayFlex + ' ' + _global2.default.colsGutterXsm + ' ' },
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(_index.Spinner, { size: 'xsm' })
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(_index.Spinner, { size: 'sm' })
					),
					_react2.default.createElement(
						'div',
						null,
						_react2.default.createElement(_index.Spinner, { size: 'md' })
					)
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'<Spinner size="xsm" />'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Spinner size="sm" />'
				),
				_react2.default.createElement(
					'div',
					null,
					'<Spinner size="md" />'
				)
			)
		)
	);
};

exports.default = PageSpinner;