'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _global = require('../../styles/global.css');

var _global2 = _interopRequireDefault(_global);

var _Docs = require('../Docs.css');

var _Docs2 = _interopRequireDefault(_Docs);

var _Layout = require('../../components/Layout/Layout');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PageColor = function PageColor() {
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(
			'h1',
			{ className: _Docs2.default.docHeading1 },
			'Text'
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Font Sizes'
		),
		_react2.default.createElement(
			'div',
			{ className: _Docs2.default.docbox },
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxContent },
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeHeading1 },
					'Heading Size 1'
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeHeading2 },
					'Heading Size 2'
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeHeading3 },
					'Heading Size 3'
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeHeading4 },
					'Heading Size 4'
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeHeading5 },
					'Heading Size 5'
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeText1 },
					'Text Size 1'
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeText2 },
					'Text Size 2'
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeText3 },
					'Text Size 3'
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeText4 },
					'Text Size 4'
				),
				_react2.default.createElement(
					'div',
					{ className: _global2.default.fontsizeText5 },
					'Text Size 5'
				)
			),
			_react2.default.createElement(
				'div',
				{ className: _Docs2.default.docboxCode },
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeHeading1'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeHeading2'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeHeading3'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeHeading4'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeHeading5'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeHeading6'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeText1'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeText2'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeText3'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeText4'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeText5'
				),
				_react2.default.createElement(
					'div',
					null,
					'.fontsizeText6'
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Font Family'
		),
		_react2.default.createElement(
			_Layout.Row,
			null,
			_react2.default.createElement(
				_Layout.Col,
				{ grow: 'even' },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Primary'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'p',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.marginBottomXsm + ' ' },
							'Apparently we had reached a great height in the atmosphere, for the sky was a dead black, and the stars had ceased to twinkle. By the same illusion which lifts the horizon of the sea to the level of the spectator on a hillside, the sable cloud beneath was dished out, and the car seemed to float in the middle of an immense dark sphere, whose upper half was strewn with silver. Looking down into the dark gulf below, I could see a ruddy light streaming through a rift in the clouds.'
						),
						_react2.default.createElement(
							'p',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.uppercase + ' ' },
							'Apparently we had reached a great height in the atmosphere, for the sky was a dead black, and the stars had ceased to twinkle. By the same illusion which lifts the horizon of the sea to the level of the spectator on a hillside, the sable cloud beneath was dished out, and the car seemed to float in the middle of an immense dark sphere, whose upper half was strewn with silver. Looking down into the dark gulf below, I could see a ruddy light streaming through a rift in the clouds.'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'.fontPrimary'
						)
					)
				)
			),
			_react2.default.createElement(
				_Layout.Col,
				{ grow: 'even' },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Secondary'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'p',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.marginBottomXsm + ' ' },
							'Apparently we had reached a great height in the atmosphere, for the sky was a dead black, and the stars had ceased to twinkle. By the same illusion which lifts the horizon of the sea to the level of the spectator on a hillside, the sable cloud beneath was dished out, and the car seemed to float in the middle of an immense dark sphere, whose upper half was strewn with silver. Looking down into the dark gulf below, I could see a ruddy light streaming through a rift in the clouds.'
						),
						_react2.default.createElement(
							'p',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.uppercase + ' ' },
							'Apparently we had reached a great height in the atmosphere, for the sky was a dead black, and the stars had ceased to twinkle. By the same illusion which lifts the horizon of the sea to the level of the spectator on a hillside, the sable cloud beneath was dished out, and the car seemed to float in the middle of an immense dark sphere, whose upper half was strewn with silver. Looking down into the dark gulf below, I could see a ruddy light streaming through a rift in the clouds.'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'.fontSecondary'
						)
					)
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Weights'
		),
		_react2.default.createElement(
			_Layout.Row,
			null,
			_react2.default.createElement(
				_Layout.Col,
				{ grow: 'even' },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Primary'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.fontWeight100 + ' ' },
							'Font Weight 100'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.fontWeight200 + ' ' },
							'Font Weight 200'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.fontWeight300 + ' ' },
							'Font Weight 300'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.fontWeight400 + ' ' },
							'Font Weight 400'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.fontWeight400 + ' ' },
							'Font Weight 500'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.fontWeight600 + ' ' },
							'Font Weight 600'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.fontWeight700 + ' ' },
							'Font Weight 700'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.fontWeight800 + ' ' },
							'Font Weight 800'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.fontWeight900 + ' ' },
							'Font Weight 900'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight100'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight200'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight300'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight400'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight400'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight600'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight700'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight800'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight900'
						)
					)
				)
			),
			_react2.default.createElement(
				_Layout.Col,
				{ grow: 'even' },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Secondary'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.fontWeight100 + ' ' },
							'Font Weight 100'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.fontWeight200 + ' ' },
							'Font Weight 200'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.fontWeight300 + ' ' },
							'Font Weight 300'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.fontWeight400 + ' ' },
							'Font Weight 400'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.fontWeight400 + ' ' },
							'Font Weight 500'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.fontWeight600 + ' ' },
							'Font Weight 600'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.fontWeight700 + ' ' },
							'Font Weight 700'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.fontWeight800 + ' ' },
							'Font Weight 800'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.fontWeight900 + ' ' },
							'Font Weight 900'
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight100'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight200'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight300'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight400'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight400'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight600'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight700'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight800'
						),
						_react2.default.createElement(
							'div',
							null,
							'.fontWeight900'
						)
					)
				)
			)
		),
		_react2.default.createElement(
			'h2',
			{ className: _Docs2.default.docHeading2 },
			'Styles'
		),
		_react2.default.createElement(
			_Layout.Row,
			null,
			_react2.default.createElement(
				_Layout.Col,
				{ grow: 'even' },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Primary'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.italic + ' ' },
							'Italic'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.underline + ' ' },
							'Underline'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.uppercase + ' ' },
							'Uppercase'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.capitalize + ' ' },
							'Capitalize'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontPrimary + ' ' + _global2.default.lineThrough + ' ' },
							'Line Through'
						),
						_react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(
								'a',
								{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.linkUnderline + ' ' },
								'Link Underline'
							)
						),
						_react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(
								'a',
								{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.linkDarken + ' ' },
								'Link Darken'
							)
						),
						_react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(
								'a',
								{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.linkLighten + ' ' },
								'Link Lighten'
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'.italic'
						),
						_react2.default.createElement(
							'div',
							null,
							'.underline'
						),
						_react2.default.createElement(
							'div',
							null,
							'.uppercase'
						),
						_react2.default.createElement(
							'div',
							null,
							'.capitalize'
						),
						_react2.default.createElement(
							'div',
							null,
							'.lineThrough'
						),
						_react2.default.createElement(
							'div',
							null,
							'.linkUnderline'
						),
						_react2.default.createElement(
							'div',
							null,
							'.linkDarken'
						),
						_react2.default.createElement(
							'div',
							null,
							'.linkLighten'
						)
					)
				)
			),
			_react2.default.createElement(
				_Layout.Col,
				{ grow: 'even' },
				_react2.default.createElement(
					'h3',
					{ className: _Docs2.default.docHeading3 },
					'Secondary'
				),
				_react2.default.createElement(
					'div',
					{ className: _Docs2.default.docbox },
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxContent },
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.italic + ' ' },
							'Italic'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.underline + ' ' },
							'Underline'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.uppercase + ' ' },
							'Uppercase'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.capitalize + ' ' },
							'Capitalize'
						),
						_react2.default.createElement(
							'div',
							{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.lineThrough + ' ' },
							'Line Through'
						),
						_react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(
								'a',
								{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.linkUnderline + ' ' },
								'Link Underline'
							)
						),
						_react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(
								'a',
								{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.linkDarken + ' ' },
								'Link Darken'
							)
						),
						_react2.default.createElement(
							'div',
							null,
							_react2.default.createElement(
								'a',
								{ className: ' ' + _global2.default.fontSecondary + ' ' + _global2.default.linkLighten + ' ' },
								'Link Lighten'
							)
						)
					),
					_react2.default.createElement(
						'div',
						{ className: _Docs2.default.docboxCode },
						_react2.default.createElement(
							'div',
							null,
							'.italic'
						),
						_react2.default.createElement(
							'div',
							null,
							'.underline'
						),
						_react2.default.createElement(
							'div',
							null,
							'.uppercase'
						),
						_react2.default.createElement(
							'div',
							null,
							'.capitalize'
						),
						_react2.default.createElement(
							'div',
							null,
							'.lineThrough'
						),
						_react2.default.createElement(
							'div',
							null,
							'.linkUnderline'
						),
						_react2.default.createElement(
							'div',
							null,
							'.linkDarken'
						),
						_react2.default.createElement(
							'div',
							null,
							'.linkLighten'
						)
					)
				)
			)
		)
	);
};

exports.default = PageColor;